## com.baidubce.services.bmr.model
Class ListClustersRequest

    java.lang.Object
      com.baidubce.model.AbstractBceRequest
          com.baidubce.services.bmr.model.ListClustersRequest

    public class ListClustersRequest

extends AbstractBceRequest

Provides options for listing clusters. The optional query parameters are marker and max keys.

Constructor Summary
`ListClustersRequest()`

Method Summary
`String` `getMarker()`
`int` `getMaxKeys()`
`void` `setMarker(String marker)`
`void` `setMaxKeys(int maxKeys)`
`ListClustersRequest` `withMarker(String marker)` Configure the marker for the query request.
`ListClustersRequest` `withMaxKeys(int maxKeys)` Configure the max count for each response page.
`ListClustersRequest` `withRequestCredentials(BceCredentials credentials)` Configure request credential for the request.

Methods inherited from class com.baidubce.model.AbstractBceRequest
`getRequestCredentials, setRequestCredentials`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListClustersRequest

    public ListClustersRequest()

Method Detail

### getMarker

    public String getMarker()

### setMarker

    public void setMarker(String marker)

### getMaxKeys

    public int getMaxKeys()

### setMaxKeys

    public void setMaxKeys(int maxKeys)

### withMarker

    public ListClustersRequest withMarker(String marker)

  Configure the marker for the query request. The marker marks the starting point for the query.

  Parameters:
    `marker` -
  Returns:
    ListClustersRequest

### withMaxKeys

    public ListClustersRequest withMaxKeys(int maxKeys)

  Configure the max count for each response page. The max keys can not more than 1000, any number exceeding 1000 will be reset to 1000.

  Parameters:
    `maxKeys` - The max count for each response page.
  Returns:
    ListClustersRequest

### withRequestCredentials

    public ListClustersRequest withRequestCredentials(BceCredentials credentials)

  Configure request credential for the request.

  Specified by:
    `withRequestCredentials` in class `AbstractBceRequest`
  Parameters:
    `credentials` - a valid instance of BceCredentials.
  Returns:
    ListClustersRequest

Copyright © 2016. All rights reserved.